<odoo>
    <!-- Form view for sos_deliverables_config -->
    <record id="view_sos_deliverables_config_form" model="ir.ui.view">
        <field name="name">sos_deliverables_config.form</field>
        <field name="model">sos_deliverables_config</field>
        <field name="arch" type="xml">
            <form string="Testing Parameters">
                <sheet>
                    <group>
                        <field name="fg_name"/>
                        <field name="communication_type"/>
                        <!-- <field name="customer_name"/>
                        <field name="customer_location"/> -->
                          </group>
                         <notebook>
                        <page string="FG Deliverables">
                        <field name="fg_ids">
                            <tree editable="bottom">
                            <field name="sequence" widget="handle"/>
                            <field name="add_production_cost" widget="boolean_toggle"/>
                                <field name="component_id"/>
                                <field name="description"/>
                                <field name="item_type"/>
                                 <field name="quantity"/>
                                <field name="uom"/>
                            </tree>
                        </field>
                        </page>
                        <page string="SFG Deliverables">
                        <field name="sfg_ids">
                            <tree editable="bottom">
                            <field name="sequence" widget="handle"/>
                            <field name="add_production_cost" widget="boolean_toggle"/>
                                <field name="component_id"/>
                                 <field name="description"/>
                                <field name="item_type"/>
                                 <field name="quantity"/>
                                <field name="uom"/>
                            </tree>
                        </field>
                        </page>
                        <page string="Material Deliverables">
                          <field name="material_ids">
                            <tree editable="bottom">
                            <field name="sequence" widget="handle"/>
                            <field name="add_production_cost" widget="boolean_toggle"/>
                                <field name="component_id"/>
                                <field name="description"/>
                                <field name="quantity"/>
                                <field name="item_type"/>
                                <field name="uom"/>
                            </tree>
                        </field>
                        </page>
                        <page string="Installation Kit">
                        <field name="installation_kit_ids">
                            <tree editable="bottom">
                                 <field name="sequence" widget="handle"/>
                                 <field name="add_production_cost" widget="boolean_toggle"/>
                                <field name="component_id"/>
                                <field name="description"/>
                                <field name="quantity"/>
                                <field name="item_type"/>
                                <field name="uom"/>
                            </tree>
                        </field>
                        </page>
                        <page string="Miscellaneous">
                        <field name="miscellaneous_ids">
                            <tree editable="bottom">
                                 <field name="sequence" widget="handle"/>
                                <field name="name"/>
                                <field name="cost"/>
                                <field name="quantity"/>
                                <field name="item_type"/>
                            </tree>
                        </field>
                        </page>
                        </notebook>
                  
                </sheet>
            </form>
        </field>
    </record>

    <!-- Tree view for sos_deliverables_config -->
    <record id="view_sos_deliverables_config_tree" model="ir.ui.view">
        <field name="name">sos_deliverables_config.tree</field>
        <field name="model">sos_deliverables_config</field>
        <field name="arch" type="xml">
            <tree string="Deliverables">
                <field name="fg_name"/>
                <field name="communication_type"/>
                <field name="fg_ids"/>
                <field name="sfg_ids"/>
                <field name="material_ids"/>
                <field name="installation_kit_ids"/>
                <field name="miscellaneous_ids"/>
            </tree>
        </field>
    </record>

    <!-- Action to open sos_deliverables_config -->
    <record id="action_sos_deliverables_config" model="ir.actions.act_window">
        <field name="name">Deliverables/BOQ Configurations</field>
        <field name="res_model">sos_deliverables_config</field>
        <field name="view_mode">tree,form</field>
        <field name="help" type="html">
            <p class="o_view_nocontent_create">
                Click to create a New
            </p>
        </field>
    </record>

    <!-- Menu item to access sos_deliverables_config -->
    <menuitem id="menu_sos_deliverables_config"
              name="Deliverables/BOQ Configurations"
              parent="settings_root_menu" action="action_sos_deliverables_config" groups="sos_inventory.sos_ce_user,sos_inventory.sos_scg_group_user,sos_inventory.sos_management_user"/>
</odoo>